ServerEvents.recipes(event => {
  event.remove({ output: 'projectexpansion:final_star_shard' })
  event.remove({ output: 'projectexpansion:final_star' })
  event.remove({ output: 'projecte:watch_of_flowing_time' })
  event.remove({ output: 'projecte:dm_pedestal' })
  event.remove({ output: 'projecte:transmutation_table' })
  const greg = event.recipes.gtceu;
// final star

		    event.recipes.gtceu.assembly_line("projectexpansion:final_star_shard")
        .itemInputs(
            "4x kubejs:causality_exempt_monic_heavy_plating",
            "6x kubejs:dimensionally_stabilized_infinity_heavy_plating",
            "2x projectexpansion:purple_matter",
        )
        .inputFluids("gtceu:hyperdegenerate_matter 288, kubejs:antimatter_fuel 144, gtceu:infinity 144")
        .itemOutputs("projectexpansion:final_star_shard")
        .duration(6000)
        .EUt(GTValues.VA[GTValues.UIV])
        .stationResearch(b => b
            .researchStack("projectexpansion:gargantuan_star_omega")
            .CWUt(512)
            .EUt(GTValues.VA[GTValues.UEV])
			)
	
		    event.recipes.gtceu.assembly_line("projecte:watch_of_flowing_time")
        .itemInputs(
            "minecraft:clock",
            "4x gtceu:monium_block",
            "16x monilabs:max_field_generator",
            "kubejs:field_stabilized_prismatic_pulsar_compound",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
        )
        .inputFluids("monilabs:eltz 1440, gtceu:living_soldering_alloy 2880")
        .itemOutputs("projecte:watch_of_flowing_time")
        .duration(8000)
        .EUt(GTValues.VA[GTValues.UIV])
        .stationResearch(b => b
            .researchStack("minecraft:clock")
            .CWUt(2048)
            .EUt(GTValues.VA[GTValues.UEV])
			)
	
	    event.recipes.gtceu.assembler("projecte:dm_pedestal")
        .itemInputs("32x projecte:dark_matter_block",
            "8x projecte:red_matter"
        )
        .itemOutputs("projecte:dm_pedestal")
        .duration(600)
        .EUt(GTValues.VA[GTValues.UV])
	
	
		    event.recipes.gtceu.assembly_line("projectexpansion:final_star")
        .itemInputs(
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:magnum_star_omega",
            "projectexpansion:magnum_star_omega",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard",
            "projectexpansion:final_star_shard"
        )
        .itemOutputs("projectexpansion:final_star")
        .duration(12000)
        .EUt(GTValues.VA[GTValues.UEV])
        .stationResearch(b => b
            .researchStack("projectexpansion:final_star_shard")
            .CWUt(512)
            .EUt(GTValues.VA[GTValues.UHV])
			)
			
   event.recipes.gtceu.assembly_line("extendedcrafting:ultimate_singularity")
        .itemInputs(
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star",
            "projectexpansion:final_star"
        )
        .itemOutputs("extendedcrafting:ultimate_singularity")
        .duration(20000)
        .EUt(GTValues.VA[GTValues.UHV])
        .stationResearch(b => b
            .researchStack("projectexpansion:final_star")
            .CWUt(4096)
            .EUt(GTValues.VA[GTValues.UHV])
			)
  greg
    .compressor("projectexpansion:fading_matter")
    .itemInputs("16x extendedcrafting:ultimate_singularity")
    .itemOutputs("projectexpansion:fading_matter")
    .duration(48000)
            .EUt(GTValues.VA[GTValues.UEV])
	
			
			
	event.recipes.extendedcrafting.shaped_table("projecte:tome", [
        "BALHGBFDCAB",
        "AMBSBBBSbOA",
        "CbaSBZBSaBL",
        "DSSacZcaSSH",
        "FBBcWZWcBBG",
        "BBZZZXZZZBB",
        "GBBcWZWcBBF",
        "HSSacZcaSSD",
        "LBaSBZBSabC",
        "APbSBBBSBQA",
		"BACDFBGHLAB",
    ], {
        A: "projectexpansion:final_star",
        B: "kubejs:causality_exempt_monic_heavy_plating",
        C: "projectexpansion:gargantuan_star_ein",
        D: "projectexpansion:gargantuan_star_zwei",
        F: "projectexpansion:gargantuan_star_drei",
        G: "projectexpansion:gargantuan_star_vier",
        H: "projectexpansion:gargantuan_star_sphere",
        L: "projectexpansion:gargantuan_star_omega",
        M: "kubejs:infinity_hammer",
        O: "kubejs:infinity_wire_cutter",
        P: "kubejs:infinity_file",
        Q: "kubejs:infinity_screwdriver",
        S: "gtceu:creative_chest",
        W: "projecte:watch_of_flowing_time",
        X: "minecraft:axolotl_bucket",
        Z: "kubejs:field_stabilized_prismatic_pulsar_compound",
        a: "extendedcrafting:ultimate_singularity",
        b: "projectexpansion:arcane_alchemical_book",
        c: "projectexpansion:fading_matter",
    })
	
})
